package Staartvin.SimpleRegister.Application;

import org.bukkit.ChatColor;
import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.FileHandling.MessagesFile.configMessages;

public class ViewApplication {

	public SimpleRegister plugin;

	public ViewApplication(SimpleRegister plugin) {
		this.plugin = plugin;
	}

	public void viewApplication(CommandSender sender, String[] args) {

		final String name;

		if (args.length == 3) {
			name = args[2];
		} else {
			name = args[0];
		}

		if (name.equalsIgnoreCase(sender.getName())) {
			if (!sender.hasPermission("simpleregister.applications.view.self")) {
				sender.sendMessage(ChatColor.RED
						+ "You don't have the permission to perform this command!");
				return;
			}
			if (!plugin.playersConfig.getBoolean(sender.getName().toLowerCase()
					+ ".Registered")) {
				sender.sendMessage(plugin.messagesFile.getMessage(configMessages.NOT_REGISTERED_YET, sender.getName(), null));
				return;
			}
			sender.sendMessage(ChatColor.GRAY + "-----------[ "
					+ ChatColor.GOLD + sender.getName() + ChatColor.GRAY
					+ " ]--------------");
			;
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value1")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question1,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value1"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value2")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question2,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value2"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value3")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question3,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value3"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value4")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question4,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value4"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value5")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question5,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value5"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value6")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question6,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value6"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value7")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question7,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value7"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value8")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question8,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value8"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value9")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question9,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value9"));
			}
			if (!plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".value10")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question10,
								sender.getName())
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".value10"));
			}
			if (plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".Status")
					.equalsIgnoreCase("pending")) {
				sender.sendMessage(ChatColor.BLUE
						+ "Status of application: "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".Status"));
			} else if (plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".Status")
					.equalsIgnoreCase("declined")) {
				sender.sendMessage(ChatColor.BLUE
						+ "Status of application: "
						+ ChatColor.RED
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".Status"));
			} else if (plugin.playersConfig.getString(
					sender.getName().toLowerCase() + ".Status")
					.equalsIgnoreCase("notregistered")) {
				sender.sendMessage(ChatColor.BLUE + "Status of application: "
						+ ChatColor.RED + "not registered");
			} else {
				sender.sendMessage(ChatColor.BLUE
						+ "Status of application: "
						+ ChatColor.GREEN
						+ plugin.playersConfig.getString(sender.getName()
								.toLowerCase() + ".Status"));
			}
			return;
		} else {
			if (!sender
					.hasPermission("simpleregister.applications.view.others")) {
				sender.sendMessage(ChatColor.RED
						+ "You don't have the permission to perform this command!");
				return;
			}
			if (plugin.playersConfig.getString(name.toLowerCase()) == null) {
				sender.sendMessage(plugin.messagesFile.getMessage(configMessages.OTHER_NOT_REGISTERED_YET, name, null));
				return;
			}
			if (!plugin.playersConfig.getBoolean(name.toLowerCase()
					+ ".Registered")) {
				sender.sendMessage(plugin.messagesFile.getMessage(configMessages.OTHER_NOT_REGISTERED_YET, name, null));
				return;
			}
			sender.sendMessage(ChatColor.GRAY + "-----------[ "
					+ ChatColor.GOLD + name + ChatColor.GRAY
					+ " ]--------------");

			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value1")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question1, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value1"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value2")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question2, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value2"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value3")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question3, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value3"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value4")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question4, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value4"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value5")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question5, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value5"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value6")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question6, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value6"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value7")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question7, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value7"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value8")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question8, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value8"));
			}
			if (!plugin.playersConfig.getString(name.toLowerCase() + ".value9")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods.formatQuestion(plugin.Question9, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value9"));
			}
			if (!plugin.playersConfig
					.getString(name.toLowerCase() + ".value10")
					.equalsIgnoreCase("")) {
				sender.sendMessage(ChatColor.BLUE
						+ plugin.methods
								.formatQuestion(plugin.Question10, name)
						+ ": "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".value10"));
			}

			if (plugin.playersConfig.getString(name.toLowerCase() + ".Status")
					.equalsIgnoreCase("pending")) {
				sender.sendMessage(ChatColor.BLUE
						+ "Status of application: "
						+ ChatColor.GOLD
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".Status"));
			} else if (plugin.playersConfig.getString(
					name.toLowerCase() + ".Status")
					.equalsIgnoreCase("declined")) {
				sender.sendMessage(ChatColor.BLUE
						+ "Status of application: "
						+ ChatColor.RED
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".Status"));
			} else if (plugin.playersConfig.getString(
					name.toLowerCase() + ".Status").equalsIgnoreCase(
					"notregistered")) {
				sender.sendMessage(ChatColor.BLUE + "Status of application: "
						+ ChatColor.RED + "not registered");
			} else {
				sender.sendMessage(ChatColor.BLUE
						+ "Status of application: "
						+ ChatColor.GREEN
						+ plugin.playersConfig.getString(name.toLowerCase()
								+ ".Status"));
			}
			return;
		}
	}
}
