package Staartvin.SimpleRegister.Commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;

public class HelpCommand {

	public SimpleRegister plugin;

	public HelpCommand(SimpleRegister plugin) {
		this.plugin = plugin;
	}

	public boolean onCommand(final CommandSender sender, Command cmd,
			String commandLabel, String[] args) {
		if (!sender.hasPermission("simpleregister.applications.decline")) {
			sender.sendMessage(ChatColor.RED
					+ "You don't have the permission to perform this command!");
			return true;
		}
		sender.sendMessage(ChatColor.BLUE
				+ "-----------------------------------------------------");
		sender.sendMessage(ChatColor.GOLD + "/sr" + ChatColor.BLUE
				+ " --- Shows info about SimpleRegister");
		sender.sendMessage(ChatColor.GOLD + "/sr help|commands"
				+ ChatColor.BLUE + " --- Shows a list of commands");
		sender.sendMessage(ChatColor.GOLD + "/sr apps|pending|list"
				+ ChatColor.BLUE + " --- Shows a list of pending applications");
		sender.sendMessage(ChatColor.GOLD + "/sr app accept|decline <app>"
				+ ChatColor.BLUE + " --- Accepts or declines an application");
		sender.sendMessage(ChatColor.GOLD + "/sr app view <app>"
				+ ChatColor.BLUE + " --- Shows the application of a player");
		sender.sendMessage(ChatColor.GOLD + "/sr app delete <app>"
				+ ChatColor.BLUE + " --- Deletes the application of a player");
		sender.sendMessage(ChatColor.GOLD + "/sr reload" + ChatColor.BLUE
				+ " --- Reloads the files of SimpleRegister");
		sender.sendMessage(ChatColor.GOLD + "/register" + ChatColor.BLUE
				+ " --- Starts the process of registering");
		return true;
	}
}
