package Staartvin.SimpleRegister.Commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;

public class PendingCommand {
	public SimpleRegister plugin;

	public PendingCommand(SimpleRegister plugin) {
		this.plugin = plugin;
	}
	
	public boolean onCommand(final CommandSender sender, Command cmd,
			String commandLabel, String[] args) {
		if (!sender
				.hasPermission("simpleregister.applications.view.pending")) {
			sender.sendMessage(ChatColor.RED
					+ "You don't have the permission to perform this command!");
			return true;
		}
		sender.sendMessage(ChatColor.GREEN
				+ "----------- [Pending Applications] -----------");
		if (plugin.playersConfig.getStringList("PendingApplications")
				.size() == 0) {
			sender.sendMessage("None");
		} else {
			sender.sendMessage(plugin.playersConfig.getStringList(
					"PendingApplications").toString());
		}
		sender.sendMessage(ChatColor.GREEN
				+ "----------------------------------------------");
		return true;
	}
}
