package Staartvin.SimpleRegister.Commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.Application.ViewApplication;

public class ViewCommand {
	private SimpleRegister plugin;
	private ViewApplication viewApplication;
	
	public ViewCommand(SimpleRegister plugin) {
		this.plugin = plugin;
		viewApplication = new ViewApplication(plugin);
	}
	
	public boolean onCommand(final CommandSender sender, Command cmd,
			String commandLabel, String[] args) {
		if (cmd.getName().equalsIgnoreCase("view")) {
			if (!plugin.getConfig().getBoolean("Commands.Use View Alias")) {
				sender.sendMessage(ChatColor.RED + "'/view' alias is not used. Check your config!");
				return true;
			}
			if (args.length != 1) {
				sender.sendMessage(ChatColor.RED
						+ "No application was given to view!");
				return true;
			}
			viewApplication.viewApplication(sender, args);
			return true;
		} else {
			viewApplication.viewApplication(sender, args);
			return true;
		}
	}
}
