package Staartvin.SimpleRegister.Listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.Events.DeclineApplicationEvent;

public class DeclineApplicationListener implements Listener {

	SimpleRegister plugin;

	public DeclineApplicationListener(SimpleRegister plugin) {
		this.plugin = plugin;
	}
	
	@EventHandler(priority = EventPriority.MONITOR)
	public void declineEvent(DeclineApplicationEvent event) {
		if (event.isCancelled()) {
			// Event is cancelled!
			plugin.isDeclineApplicationCancelled = true;
		}
	}
}
