package Staartvin.SimpleRegister.Listeners;

import org.bukkit.ChatColor;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.FileHandling.MessagesFile.configMessages;

public class PlayerJoinListener implements Listener{

	SimpleRegister plugin;

	public PlayerJoinListener(SimpleRegister plugin) {
		this.plugin = plugin;
	}
	
	@EventHandler
	protected void onPlayerLogin(PlayerJoinEvent event) {
		plugin.loadConfiguration.reloadRegistrationsConfig();
		
		if (event.getPlayer().hasPermission("simpleregister.notice")) {
			if (plugin.playersConfig.getStringList("PendingApplications").size() != 0) {
				event.getPlayer().sendMessage(ChatColor.GOLD + "[SimpleRegister] " + plugin.messagesFile.getMessage(configMessages.NOTICE_PLAYER_OF_PENDING_APPLICATIONS, event.getPlayer().getName(), null));
			}
		}
		
		plugin.loadConfiguration.readInfo(event.getPlayer().getName());
	}
}
