package Staartvin.SimpleRegister;

import java.util.List;

import org.bukkit.Bukkit;

import Staartvin.SimpleRegister.Events.AcceptApplicationEvent;
import Staartvin.SimpleRegister.Events.DeclineApplicationEvent;

public class Methods {

	SimpleRegister plugin;

	protected Methods(SimpleRegister plugin) {
		this.plugin = plugin;
	}
	
	public void getFormatedTextMob(List<String> list, String player) {
		for (int i = 0; i < list.size(); i++) {
			String command = list.get(i);
			command = format(command, player);
			plugin.getServer().dispatchCommand(
					plugin.getServer().getConsoleSender(), command);
		}
	}

	public String formatQuestion(String text, String player) {

		return format(text, player);
	}

	protected String replaceColours(String message) {
		return message.replaceAll("(?i)&([a-f0-9])", "\u00A7$1");
	}
	
	protected String format(String string, String playerName) {
		string = replaceColours(string);
	    string = string.replaceAll("%player%", playerName).replaceAll("%servername%", plugin.getConfig().getString("Servername"));
	    return string;
	}
	
	public void callAcceptedEvent (String acceptedPlayer, String acceptingPlayer) {
		// Create the event
		AcceptApplicationEvent acceptEvent = new AcceptApplicationEvent(acceptingPlayer, acceptingPlayer);
		
		// Call the event
		Bukkit.getServer().getPluginManager().callEvent(acceptEvent);
	}
	
	public void callDeclinedEvent (String declinedPlayer, String decliningPlayer) {
		// Create the event
		DeclineApplicationEvent declineEvent = new DeclineApplicationEvent(declinedPlayer, decliningPlayer);
		
		// Call the event
		Bukkit.getServer().getPluginManager().callEvent(declineEvent);
	}
}
